%define name gtk-ubuntulooks-engine
%define version 0.9.12
%define oname ubuntulooks
%define release %mkrel 1

%define libname %mklibname %{name}

%define gtkbinaryver %(if $([ -x %{_bindir}/pkg-config ] && pkg-config --exists gtk+-2.0); then pkg-config --variable=gtk_binary_version gtk+-2.0; else echo 0; fi)

Summary: Ubuntulooks engine for Gtk+2.x
Name:    %{name}
Version: %{version}
Release: %{release}
URL:	http://archive.ubuntu.com/ubuntu/pool/main/u/ubuntulooks/
Source0: http://dlc.sun.com/osol/jds/downloads/extras/%{oname}/%{oname}_%{version}.orig.tar.gz
Patch0:	ubuntulooks_0.9.12-12.diff
License: GPLv2+
Group: 	 Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel >= 2.12
BuildRequires: librsvg-devel >= 2.16
BuildRequires: icon-naming-utils

%description
Ubuntulooks is the default gtk engine from Ubuntu Linux.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build
%define _disable_ld_as_needed 1
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README NEWS AUTHORS
%{_datadir}/themes/*
%defattr(-,root,root)
%{_libdir}/gtk-2.0/%{gtkbinaryver}/engines/*.*

%changelog
* Sun Jun 07 2009 maik3531 <maik3531@yahoo.de>
- rebuild to pclinuxos
- dump library name (tex)


* Wed May 07 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com>
- Initial RPM

